import { ITaggable } from "aws-cdk-lib";
import { Construct } from "constructs";
import { IResource } from "./resource";
/**
 * @experimental
 */
export interface ITaggableResource extends ITaggable, IResource {
}
/**
 * @experimental
 */
export interface TagResourceProps {
    /**
     * @experimental
     */
    readonly resource: ITaggableResource;
}
/**
 * (experimental) Add tags to an AWS Organizations resource to make it easier to identify, organize, and search.
 *
 * @see https://docs.aws.amazon.com/ARG/latest/APIReference/API_Tag.html
 * @experimental
 */
export declare class TagResource extends Construct {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: TagResourceProps);
}
